import { defineConfig } from '@umijs/max';

export default defineConfig({
  hash: true,
  antd: {},
  dva: {},
  access: {},
  model: {},
  initialState: {},
  request: {},
  layout: {
    title: '金科环境数字化管理平台',
    locale: false,
  },
  title: '金科环境数字化管理平台',
  publicPath: process.env.NODE_ENV == 'development' ? '/' : '/gt-dig/',
  metas: [
    // 配置html禁止缓存
    { 'http-equiv': 'pragma', content: 'no-cache' },
    { 'http-equiv': 'cache-control', content: 'no-cache' },
    { 'http-equiv': 'expires', content: '0' },
    { 'http-equiv': 'X-UA-Compatible', content: 'IE=EmulateIE9' },
  ],
  // links: [
  //   {
  //     href: 'stylesheet',
  //     rel: 'http://localhost:3000/plugins/css/pluginsCss.css',
  //   },
  //   { href: 'stylesheet', rel: 'http://localhost:3000/plugins/plugins.css' },
  //   { href: 'stylesheet', rel: 'http://localhost:3000/css/luckysheet.css' },
  //   {
  //     href: 'stylesheet',
  //     rel: 'http://localhost:3000/assets/iconfont/iconfont.css',
  //   },
  // ],
  // scripts: [
  //   { src: 'http://localhost:3000/plugins/js/plugin.js' },
  //   { src: 'http://localhost:3000/luckysheet.umd.js' },
  // ],
  proxy: {
    '/api': {
      // target: 'http://47.96.12.136:8888/',
      target: 'http://47.96.12.136:8895/',
      // target: 'https://work.greentech.com.cn/',
      changeOrigin: true,
    },
  },
  // chainWebpack(config) {
  //   config.module
  //     .rule()
  //     .test(/\.(pdf|svg|docx|doc)$/)
  //     .use('file-loader?name=[path][name].[ext]')
  //     .loader('file-loader')
  //     .end()
  // },
  routes: [
    {
      path: '/',
      redirect: '/home',
    },
    {
      name: '首页',
      path: '/home',
      component: './Home/index',
      menuRender: false,
      icon: 'https://gt-digitization.oss-cn-hangzhou.aliyuncs.com/doc/department/2023-04/homeIcon.png',
    },
    {
      name: '审批流管理',
      path: '/flow',
      access: 'isAdmin',
      hideChildrenInMenu: true,
      icon: 'https://gt-digitization.oss-cn-hangzhou.aliyuncs.com/doc/department/2023-04/flowIcon.png',
      routes: [
        // {
        //   path: '/flow',
        //   redirect: '/flow/list',
        // },
        {
          name: '审批流管理',
          path: '/flow',
          component: './Flow/index',
        },
        {
          name: '审批流详情',
          path: '/flow/audit',
          component: './Flow/Audit',
          hideInMenu: true,
        },
      ],
    },
    {
      name: 'OA审批',
      path: '/oa',
      hideChildrenInMenu: true,
      icon: 'https://gt-digitization.oss-cn-hangzhou.aliyuncs.com/doc/department/2023-04/oaIcon.png',
      routes: [
        {
          name: 'OA审批',
          path: '/oa',
          component: './Flow/Oa',
        },
        {
          name: 'OA详情',
          path: '/oa/detail/:oaId',
          component: './Flow/OaDetail',
        },
      ],
    },
    // {
    //   name: '权限演示',
    //   path: '/access',
    //   component: './Access',
    // },
    {
      name: '修改密码',
      path: '/safety',
      component: './UserCenter',
      hideInMenu: true,
    },
    {
      name: '登录',
      path: '/login',
      component: './Login/index',
      layout: false,
    },
    {
      name: '文档管理',
      path: '/fileManagement',
      component: './FileManagement/index',
      icon: 'https://gt-digitization.oss-cn-hangzhou.aliyuncs.com/doc/department/2023-04/fileIcon.png',
    },
    {
      name: '合同管理',
      path: '/contract-manager',
      component: './ContractManager/index',
      icon: 'https://gt-digitization.oss-cn-hangzhou.aliyuncs.com/doc/department/2023-04/contractIcon.png',
    },
    // {
    //   name: '授权管理',
    //   path: '/permission',
    //   routes: [
    //     {
    //       name: '菜单授权',
    //       path: '/permission/menu',
    //       component: './Permission/menu',
    //     },
    //     {
    //       name: '文档管理',
    //       path: '/permission/file',
    //       component: './Permission/file',
    //     },
    //   ],
    // },
    // {
    //   name: '个人中心',
    //   path: '/profile',
    //   icon: 'https://gt-digitization.oss-cn-hangzhou.aliyuncs.com/doc/department/2023-04/profileIcon.png',
    //   routes: [
    //     {
    //       name: '我的申请',
    //       path: '/profile/apply',
    //       component: './Profile/apply',
    //     },
    //     {
    //       name: '我的审批',
    //       path: '/profile/approve',
    //       component: './Profile/approve',
    //     },
    //     {
    //       name: '已审核',
    //       path: '/profile/approved',
    //       component: './Profile/approved',
    //     },
    //   ],
    //   // component: './Profile/index',
    //   // hideInMenu: true,
    // },
    {
      name: '个人中心',
      path: '/profile',
      component: './Profile/index',
      icon: 'https://gt-digitization.oss-cn-hangzhou.aliyuncs.com/doc/department/2023-04/profileIcon.png',
    },
    {
      name: '审批详情',
      path: '/profile/detail',
      component: './Flow/OaAuditDetail',
      hideInMenu: true,
    },
    {
      name: '供应商管理',
      path: '/manufacturer',
      component: './ManufacturerMng/Firm',
      icon: 'https://gt-digitization.oss-cn-hangzhou.aliyuncs.com/doc/department/2023-04/manufacturerIcon.png',
    },
    {
      name: 'PSR管理',
      path: '/psrManage',
      component: './PSRManage',
      icon: 'https://water-service-test.oss-cn-hangzhou.aliyuncs.com/doc/contract/2023-06-20/25bf2fa5-f340-4f9b-8a13-ad50086aedbb.png',
    },
    {
      name: 'PSR详情',
      path: '/psrManage/detail/:id',
      component: './PSRManage/detail',
      hideInMenu: true,
    },
  ],
  npmClient: 'yarn',
});
